aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/ssh.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/ssh.bash')
-rw-r--r--bash/bashrc.d/ssh.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/bash/bashrc.d/ssh.bash b/bash/bashrc.d/ssh.bash
index 1520a849..2daefa72 100644
--- a/bash/bashrc.d/ssh.bash
+++ b/bash/bashrc.d/ssh.bash
@@ -1,5 +1,5 @@
# Bail if no ssh(1)
-if ! hash ssh 2>/dev/null; then
+if ! hash ssh 2>/dev/null ; then
return
fi
@@ -18,7 +18,7 @@ _ssh() {
# Bail if the configuration file is illegible
local config=$HOME/.ssh/config
- if [[ ! -r $config ]]; then
+ if [[ ! -r $config ]] ; then
COMPREPLY=()
return 1
fi
@@ -26,8 +26,8 @@ _ssh() {
# Read hostnames from the file, no asterisks
local -a hosts
local option value
- while read -r option value _; do
- if [[ $option == Host && $value != *'*'* ]]; then
+ while read -r option value _ ; do
+ if [[ $option == Host && $value != *'*'* ]] ; then
hosts=("${hosts[@]}" "$value")
fi
done < "$config"